CVE-2016-5361

programs/pluto/ikev1.c in libreswan before 3.17 retransmits in initial-responder states, which allows remote attackers to cause a denial of service (traffic amplification) via a spoofed UDP packet. NOTE: the original behavior complies with the IKEv1 protocol, but has a required security update from the libreswan vendor; as of 2016-06-10, it is expected that several other IKEv1 implementations will have vendor-required security updates, with separate CVE IDs assigned to each.
Configurations

Configuration 1 (hide)

cpe:2.3:a:libreswan:libreswan:*:*:*:*:*:*:*:*

History

No history.

Information

Published : 2016-06-16 14:59

Updated : 2017-01-18 02:59


NVD link : CVE-2016-5361

Mitre link : CVE-2016-5361


JSON object : View

Products Affected

libreswan

  • libreswan
CWE
CWE-20

Improper Input Validation